#include <sys/types.h>
#include <stdio.h>
#include <stdint.h>
#include <bsnmp/asn1.h>
#include <bsnmp/snmp.h>
#include <bsnmp/snmpagent.h>
#include "regex_tree.h"

const struct snmp_node regex_ctree[] = {
    {{ 10, { 1, 3, 6, 1, 4, 1, 12325, 1, 203, 0, }}, "regexCount", SNMP_NODE_LEAF, SNMP_SYNTAX_INTEGER, op_regex, 0, 0, NULL, NULL },
    {{ 11, { 1, 3, 6, 1, 4, 1, 12325, 1, 203, 1, 1, }}, "regexIndex", SNMP_NODE_COLUMN, SNMP_SYNTAX_INTEGER, op_regexentry, 0, 0x11, NULL, NULL },
    {{ 11, { 1, 3, 6, 1, 4, 1, 12325, 1, 203, 1, 2, }}, "regexDescr", SNMP_NODE_COLUMN, SNMP_SYNTAX_OCTETSTRING, op_regexentry, 0, 0x11, NULL, NULL },
    {{ 11, { 1, 3, 6, 1, 4, 1, 12325, 1, 203, 1, 3, }}, "regexLast", SNMP_NODE_COLUMN, SNMP_SYNTAX_TIMETICKS, op_regexentry, 0, 0x11, NULL, NULL },
    {{ 11, { 1, 3, 6, 1, 4, 1, 12325, 1, 203, 1, 4, }}, "regexInteger", SNMP_NODE_COLUMN, SNMP_SYNTAX_INTEGER, op_regexentry, 0, 0x11, NULL, NULL },
    {{ 11, { 1, 3, 6, 1, 4, 1, 12325, 1, 203, 1, 5, }}, "regexValue", SNMP_NODE_COLUMN, SNMP_SYNTAX_OCTETSTRING, op_regexentry, 0, 0x11, NULL, NULL },
    {{ 10, { 1, 3, 6, 1, 4, 1, 12325, 1, 203, 100, }}, "regexConfig", SNMP_NODE_LEAF, SNMP_SYNTAX_OCTETSTRING, op_regexconfig, 0|SNMP_NODE_CANSET, 0, NULL, NULL },
    {{ 10, { 1, 3, 6, 1, 4, 1, 12325, 1, 203, 101, }}, "regexSocket", SNMP_NODE_LEAF, SNMP_SYNTAX_OCTETSTRING, op_regexconfig, 0|SNMP_NODE_CANSET, 0, NULL, NULL },
};

